// FSK441Gen.h: interface for the CFSK441Gen class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FSK441GEN_H__22E49527_E546_4F1F_B0E3_71E4FABDB857__INCLUDED_)
#define AFX_FSK441GEN_H__22E49527_E546_4F1F_B0E3_71E4FABDB857__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFSK441Gen  
{
public:
	void Init( double Fs, CString Text);
	CFSK441Gen();
	virtual ~CFSK441Gen();
	void CalcFSK441(double *pData, INT n);
private:
	INT m_TextLength;
	CString m_TextString;
	INT GetChar();
	double m_time;
	double m_SymbTime;
	double m_CarrierPhaseInc;
	double m_SecPerSamp;
	double m_PhaseIncTbl[4];
	INT m_TextPos;
	INT m_SymCount;
	UINT m_SymAcc;

};

#endif // !defined(AFX_FSK441GEN_H__22E49527_E546_4F1F_B0E3_71E4FABDB857__INCLUDED_)
