// HSCWGen.h: interface for the CHSCWGen class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HSCWGEN_H__22E49527_E546_4F1F_B0E3_71E4FABDB857__INCLUDED_)
#define AFX_HSCWGEN_H__22E49527_E546_4F1F_B0E3_71E4FABDB857__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "lpiir.h"

class CHSCWGen  
{
public:
	void Init( double CarFreq, double Fs, double Lpm, CString Text);
	CHSCWGen();
	virtual ~CHSCWGen();
	void CalcCW(double *pData, INT n);
private:
	INT m_LastModState;
	INT m_TextLength;
	CString m_TextString;
	INT m_ModState;
	INT GetChar();
	INT GetNextCWSymbol(void);
	double m_time;
	double m_BitTime;
	double m_CarrierPhaseInc;
	double m_SecPerSamp;
	double m_BitPeriod;
	INT m_CWState;
	INT m_Lastsymb;
	INT m_CWtimer;
	INT m_TextPos;
	WORD m_TxShiftReg;
	CLPIIR LPiir;

};

#endif // !defined(AFX_HSCWGEN_H__22E49527_E546_4F1F_B0E3_71E4FABDB857__INCLUDED_)
