#if !defined(AFX_INDLG_H__AA1077E3_52AC_11D4_A328_00A0C996E7F5__INCLUDED_)
#define AFX_INDLG_H__AA1077E3_52AC_11D4_A328_00A0C996E7F5__INCLUDED_
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@mindspring.com>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//////////////////////////////////////////////////////////////////////
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CInDlg dialog

class CInDlg : public CDialog
{
// Construction
public:
	CString m_InFileName;
	CString m_InFileInfo;
	CString m_InFilePath;
	INT m_InFileLength;
	INT m_HSCWSpeed;
	INT m_HSCWFreq;
	CInDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CInDlg)
	enum { IDD = IDD_INDLG };
	CSpinButtonCtrl	m_HSCWSpin2Ctrl;
	CStatic	m_HSCWFreqCtrl;
	CSpinButtonCtrl	m_HSCWSpinCtrl;
	CEdit	m_HSCWEditCtrl;
	CStatic	m_HSCWSpeedCtrl;
	CStatic	m_InFileInfoCtrl;
	CButton	m_InFileSelectCtrl;
	CStatic	m_InFileNameCtrl;
	int		m_InputSelect;
	CString	m_HSCWTxt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CInDlg)
	afx_msg void OnInfilesel();
	virtual BOOL OnInitDialog();
	afx_msg void OnSoundin();
	afx_msg void OnWavein();
	afx_msg void OnHSCWin();
	afx_msg void OnDeltaposHscwspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposHscwspin2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFSK441In();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString GetFileInfo( CString path);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INDLG_H__AA1077E3_52AC_11D4_A328_00A0C996E7F5__INCLUDED_)
