// Rand.h: interface for the CRand class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAND_H__EF2DC128_F2B8_4EF0_844D_F80082117797__INCLUDED_)
#define AFX_RAND_H__EF2DC128_F2B8_4EF0_844D_F80082117797__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define NTAB 32

class CRand  
{
public:
	void Init(long int seed);
	CRand();
	virtual ~CRand();
	double Urand();
	double Exprand(double lambda);
private:
	long m_idum;
	long m_iy;
	long m_iv[NTAB];
};

#endif // !defined(AFX_RAND_H__EF2DC128_F2B8_4EF0_844D_F80082117797__INCLUDED_)
